# ipe::Effect Class Reference
Ipe Attributes

Effect that Acrobat Reader will show on page change. More...

`#include <ipeattributes.h>`

List of all members.

## Public Types

- enum TEffect {
  ENormal, ESplitHI, ESplitHO, ESplitVI,
  ESplitVO, EBlindsH, EBlindsV, EBoxI,
  EBoxO, EWipeLR, EWipeBT, EWipeRL,
  EWipeTB, EDissolve, EGlitterLR, EGlitterTB,
  EGlitterD
  }

## Public Member Functions

- Effect ()
- void pageDictionary (Stream &stream) const

## Public Attributes

- TEffect iEffect
- int iTransitionTime
- int iDuration

## Detailed Description

Effect that Acrobat Reader will show on page change.

Acrobat Reader and other PDF viewers can show a special effect when a new page of the document is shown. This class describes such an effect.

## Member Enumeration Documentation

enum ipe::Effect::TEffect

The various fancy effects that Acrobat Reader will show.

Enumerator:

  ENormal |
  ESplitHI |
  ESplitHO |
  ESplitVI |
  ESplitVO |
  EBlindsH |
  EBlindsV |
  EBoxI |
  EBoxO |
  EWipeLR |
  EWipeBT |
  EWipeRL |
  EWipeTB |
  EDissolve |
  EGlitterLR |
  EGlitterTB |
  EGlitterD |

## Constructor & Destructor Documentation

Effect::Effect | ( |  | ) |

Construct default effect.

## Member Function Documentation

void Effect::pageDictionary | ( | Stream & | stream | ) | const

Write part of page dictionary.

Write part of page dictionary indicating effect, including the two keys /Dur and /Trans.

## Member Data Documentation

TEffect ipe::Effect::iEffect

int ipe::Effect::iTransitionTime

int ipe::Effect::iDuration

The documentation for this class was generated from the following files:

- ipeattributes.h
- ipeattributes.cpp